For the complete documentation index, see llms.txt. This page is also available as Markdown.

Tags

Retrieve all tags

get

Retrieve all tags in a workspace.

Responses
200

All tags in a workspace.

application/json
idstringRequired

The tag's ID.

Example: 981ba079-62a6-442c-8dfb-a72af6e96b8c
namestringRequired

The tag's name.

Example: Tag Name
colorstring · enumRequired

The tag's color.

Possible values:
created_atstring · date-timeRequired

Timestamp of when the tag was created.

Example: 2025-01-01T00:00:00.000Z
updated_atstring · date-timeRequired

Timestamp of when the tag was last updated.

Example: 2025-01-01T00:00:00.000Z
get/tags
GET /api/v1/tags HTTP/1.1
Accept: */*
[
  {
    "id": "981ba079-62a6-442c-8dfb-a72af6e96b8c",
    "name": "Tag Name",
    "color": "BLUE",
    "created_at": "2025-01-01T00:00:00.000Z",
    "updated_at": "2025-01-01T00:00:00.000Z"
  }
]

Create a new tag

post

Create a new tag.

Body
namestringRequired

The tag's name.

Example: Qualified
colorstring · enumRequired

The tag's color.

Possible values:
Responses
201

The tag that was created.

application/json
idstringRequired

The tag's ID.

Example: 981ba079-62a6-442c-8dfb-a72af6e96b8c
namestringRequired

The tag's name.

Example: Tag Name
colorstring · enumRequired

The tag's color.

Possible values:
created_atstring · date-timeRequired

Timestamp of when the tag was created.

Example: 2025-01-01T00:00:00.000Z
updated_atstring · date-timeRequired

Timestamp of when the tag was last updated.

Example: 2025-01-01T00:00:00.000Z
post/tags
POST /api/v1/tags HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 35

{
  "name": "Qualified",
  "color": "BLUE"
}
{
  "id": "981ba079-62a6-442c-8dfb-a72af6e96b8c",
  "name": "Tag Name",
  "color": "BLUE",
  "created_at": "2025-01-01T00:00:00.000Z",
  "updated_at": "2025-01-01T00:00:00.000Z"
}

Retrieve a single tag

get

Retrieve a tag by its ID.

Path parameters
tagIdstringRequired

The tag's ID.

Example: 981ba079-62a6-442c-8dfb-a72af6e96b8c
Responses
200

A tag.

application/json
idstringRequired

The tag's ID.

Example: 981ba079-62a6-442c-8dfb-a72af6e96b8c
namestringRequired

The tag's name.

Example: Tag Name
colorstring · enumRequired

The tag's color.

Possible values:
created_atstring · date-timeRequired

Timestamp of when the tag was created.

Example: 2025-01-01T00:00:00.000Z
updated_atstring · date-timeRequired

Timestamp of when the tag was last updated.

Example: 2025-01-01T00:00:00.000Z
get/tags/{tagId}
GET /api/v1/tags/{tagId} HTTP/1.1
Accept: */*
{
  "id": "981ba079-62a6-442c-8dfb-a72af6e96b8c",
  "name": "Tag Name",
  "color": "BLUE",
  "created_at": "2025-01-01T00:00:00.000Z",
  "updated_at": "2025-01-01T00:00:00.000Z"
}

Update a tag

patch

Update a tag.

Path parameters
tagIdstringRequired

The tag's ID.

Example: 981ba079-62a6-442c-8dfb-a72af6e96b8c
Body
namestringRequired

The tag's name.

Example: Qualified
colorstring · enumRequired

The tag's color.

Possible values:
Responses
200

The tag that was updated.

application/json
idstringRequired

The tag's ID.

Example: 981ba079-62a6-442c-8dfb-a72af6e96b8c
namestringRequired

The tag's name.

Example: Tag Name
colorstring · enumRequired

The tag's color.

Possible values:
created_atstring · date-timeRequired

Timestamp of when the tag was created.

Example: 2025-01-01T00:00:00.000Z
updated_atstring · date-timeRequired

Timestamp of when the tag was last updated.

Example: 2025-01-01T00:00:00.000Z
patch/tags/{tagId}
PATCH /api/v1/tags/{tagId} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 35

{
  "name": "Qualified",
  "color": "BLUE"
}
{
  "id": "981ba079-62a6-442c-8dfb-a72af6e96b8c",
  "name": "Tag Name",
  "color": "BLUE",
  "created_at": "2025-01-01T00:00:00.000Z",
  "updated_at": "2025-01-01T00:00:00.000Z"
}

Delete a tag

delete

Delete a tag.

Path parameters
tagIdstringRequired

The tag's ID.

Example: 981ba079-62a6-442c-8dfb-a72af6e96b8c
Responses
200

The tag that was deleted.

application/json
idstringRequired

The tag's ID.

Example: 981ba079-62a6-442c-8dfb-a72af6e96b8c
namestringRequired

The tag's name.

Example: Tag Name
colorstring · enumRequired

The tag's color.

Possible values:
created_atstring · date-timeRequired

Timestamp of when the tag was created.

Example: 2025-01-01T00:00:00.000Z
updated_atstring · date-timeRequired

Timestamp of when the tag was last updated.

Example: 2025-01-01T00:00:00.000Z
delete/tags/{tagId}
DELETE /api/v1/tags/{tagId} HTTP/1.1
Accept: */*
{
  "id": "981ba079-62a6-442c-8dfb-a72af6e96b8c",
  "name": "Tag Name",
  "color": "BLUE",
  "created_at": "2025-01-01T00:00:00.000Z",
  "updated_at": "2025-01-01T00:00:00.000Z"
}

Last updated